import 'abstractstatereader.dart';
import 'token/jsontokenstate.dart';

///Represent the last known state of StreamReader
class StreamReaderState extends AbstractStateReader {
  StreamReaderState(
      JsonTokenState jsontokenstate,
      int group,
      String file,
      int start,
      int end,
      int delay,
      int combine,
      int chunksize,
      List<MapEntry<String, dynamic>> parse)
      : super(jsontokenstate, group, file, start, end, delay, combine,
            chunksize, parse);
  //Convert String to State
  StreamReaderState.fromString(String content) : super.fromString(content);
  //Convert Map to State
  StreamReaderState.fromMap(Map<String, dynamic> content)
      : super.fromMap(content);
}
