import 'reader/abstractstatereader.dart';
//Stores all references to Reader and StreamReader
class GlobalReaderStateManager {
  static List<AbstractStateReader> _states = [];
  GlobalReaderStateManager();
  static addState(AbstractStateReader state) {
    GlobalReaderStateManager._states.add(state);
  }

  static bool removeState(AbstractStateReader state) {
    return GlobalReaderStateManager._states.remove(state);
  }
  //Retrieve all states
  static List<AbstractStateReader> getStates() {
    return GlobalReaderStateManager._states;
  }
}
